%%
%% This is file `emspublic.cls'
%% Edinburgh Mathematical Society Public Class File
%%
%% Only for use by authors preparing articles for submission
%% to Proceedings of the Edinburgh Mathematical Society
%%
%% Copyright 2000 T&T Productions Ltd
%%
%% Developed by Jonathan Wainwright and Sam Clark
%% based on the Standard `article.cls',
%% and on the local file `rs.cls'
%%
\def\fileversion{v1.00}
\def\filedate{2011/05/25}
\NeedsTeXFormat{LaTeX2e}[1998/06/01]
\ProvidesClass{emspublic}[\filedate\space\fileversion]
 \immediate\write16{(Edinburgh Mathematical Society Public Class File)}
\newif\if@restonecol
\newif\if@titlepage
\@titlepagefalse
\@twocolumnfalse
\@twosidetrue
\@mparswitchfalse
\DeclareOption{A4}
   {\setlength\paperheight {297mm}%
    \setlength\paperwidth  {210mm}}
\ExecuteOptions{A4}
\ProcessOptions
\RequirePackage{amsmath}
\RequirePackage{amssymb}
\RequirePackage{amsthm}
\RequirePackage{epsfig}
\input{size10.clo}
\setlength\oddsidemargin  {14\p@}
\setlength\evensidemargin {16\p@}
\setlength\marginparwidth {60\p@}
\setlength\hoffset{7mm}
\setlength\voffset{5mm}
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\setlength\overfullrule{0pt}
\setlength\textwidth{32pc}
\setlength\textheight{46\baselineskip}
\setlength\headsep {9\p@}
\renewcommand\baselinestretch{1.06}
\setlength\parindent{1em}
\setlength\parskip{0\p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{3}
\renewcommand\topfraction{.99}
\setcounter{bottomnumber}{1}
\renewcommand\bottomfraction{.3}
\setcounter{totalnumber}{3}
\renewcommand\textfraction{.07}
\renewcommand\floatpagefraction{.93}
\def\Paper#1{\gdef\@Paper{#1}}
\gdef\@Paper{Paper}
\newsavebox{\jlheadbox}
\sbox{\jlheadbox}{\scriptsize\itshape
  Proceedings of the Edinburgh Mathematical Society}
\def\ps@headings{\let\@mkboth\markboth
\def\@oddhead{\phantom{\rm \thepage}\hfil{\it \@shorttitle}\hfil\rm \thepage}
\def\@oddfoot{}
\def\@evenhead{\rm \thepage \hfil \it \@shortauthor \hfil\phantom{\rm \thepage}}
\def\@evenfoot{}
 \def\sectionmark##1{\markboth{##1}{}}
 \def\subsectionmark##1{\markright{##1}}}
\def\ps@myheadings{\let\@mkboth\@gobbletwo
 \def\@oddhead{\it \rightmark \hfill \rm \thepage}
 \def\@oddfoot{}
 \def\@evenhead{\it \leftmark \hfill \rm \thepage}
 \def\@evenfoot{}
 \def\sectionmark##1{}
 \def\subsectionmark##1{}}
\def\ps@titlepage{\let\@mkboth\@gobbletwo
 \def\@oddfoot{\hfill {\small\rm\thepage}}
 \def\@oddhead{\usebox{\jlheadbox}\hspace{2cm}
  \parbox[t]{7cm}{\bfseries Submitted Paper\\
  \@Paper\ \number\day\space\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\year}}
 \def\@evenhead{}\let\@evenfoot\@oddfoot
 \def\sectionmark##1{}\def\subsectionmark##1{}}

\gdef\@author{\mbox{}}
\def\author{\@ifnextchar [{\@authortwo}{\@authorone}}
\def\@authortwo[#1]#2{\gdef\@author{\uppercase{#2}}\gdef\@shortauthor{#1}}
\def\@authorone#1{\gdef\@author{#1}
 \begingroup\gdef\@shortauthor{#1}\endgroup}
\def\shortauthor#1{\gdef\@shortauthor{#1}}
\gdef\@shortauthor{}
\gdef\@title{\mbox{}}
\def\title{\@dblarg\@titletwo}
\def\@titletwo[#1]#2{\gdef\@title{\uppercase{#2}}\gdef\@shorttitle{#1}}
\def\shorttitle#1{\gdef\@shorttitle{#1}}
\gdef\@shorttitle{}
\def\Year#1{\gdef\@Year{#1}}
\gdef\@Year{YEAR}
\def\Volume#1{\gdef\@Volume{#1}}
\gdef\@Volume{VOL}
\def\Pagerange#1{\gdef\@Pagerange{#1}}
\def\Paper#1{\gdef\@Paper{#1}}
\gdef\@Paper{Paper}
\def\affiliation#1{\gdef\@affiliation{#1}}
\gdef\@affiliation{}
\def\received#1{\gdef\@received{#1}}
\gdef\@received{}
\newcommand\maketitle{\par
  \begingroup
      \newpage
      \global\@topnum\z@   % Prevents figures from going at top of page.
      \@maketitle
    \thispagestyle{titlepage}\@thanks
  \endgroup
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@maketitle\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
}
\def\@maketitle{%
  \newpage
  \null
  \vskip 1pc%
  \begin{center}%
  \let \footnote \thanks
    {\large\@title \par}%
    \vskip 2pc plus 2pt minus 1pt%
    \normalsize
    \@author \par
    \vskip 4pt plus 1pt%
    {\itshape \@affiliation \par}%
    \vskip 6pt plus 1pt%
    (Received \@received)\par%
    \vskip 2pc plus 2pt minus 1pt%
    \end{center}%
  \par
}
\setcounter{secnumdepth}{3}
\let\appendixmark\@gobble
\newcounter {section}
\newcounter {appendix}
\@addtoreset{subsection}{appendix}
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\renewcommand\thesection      {\@arabic\c@section}
\renewcommand\theappendix     {\appendixname~\@Alph\c@appendix}
\renewcommand\thesubsection   {\@alph\c@subsection}
\renewcommand\thesubsubsection{\@roman\c@subsubsection}
\newcommand\section{\setcounter{equation}{0}%
   \renewcommand{\@seccntformat}[1]{%
   \csname thesection\endcsname.\hspace{0.5em}}%
   \@startsection{section}{1}{\z@}{-3.5ex \@plus -1ex \@minus -.2ex}%
                                  {1.6ex \@plus.2ex}%
                                  {\normalfont\bfseries%
                                   \mathversion{bold}}}
\newcommand\appendix{\setcounter{equation}{0}%
   \setcounter{theorem}{0}%
   \renewcommand\theequation{\@Alph\c@appendix\thinspace\arabic{equation}}%
   \renewcommand\thetheorem{\@Alph\c@appendix\thinspace\arabic{theorem}}%
   \renewcommand{\@seccntformat}[1]{%
   \csname theappendix\endcsname.\hspace{0.5em}}%
   \@startsection{appendix}{1}{\z@}{-3.5ex \@plus -1ex \@minus -.2ex}%
                                  {1.6ex \@plus.2ex}%
                                  {\centering\normalfont\bfseries%
                                   \mathversion{bold}}}
\newcommand\subsection{\renewcommand{\@seccntformat}[1]{%
   \normalfont\rmfamily(\normalfont\itshape
   \csname thesubsection\endcsname\/% Italic correction
   \normalfont\rmfamily)\hspace{0.5em}}%
   \@startsection{subsection}{2}{\z@}{3.25ex\@plus 1ex \@minus .2ex}%
                                     {1.4ex \@plus .2ex}%
                                     {\centering\normalfont\itshape}}
\newcommand\subsubsection{\renewcommand{\@seccntformat}[1]{%
   \normalfont\rmfamily(\csname thesubsubsection\endcsname)\hspace{0.5em}}%
   \@startsection{subsubsection}{3}{\z@}{3.25ex\@plus 1ex \@minus .2ex}%
                                        {1.4ex \@plus .2ex}%
                                        {\raggedright\normalfont
                                         \normalsize\itshape}}
\setlength\leftmargini  {2.5em}
\leftmargin  \leftmargini
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\setlength\leftmarginv  {1em}
\setlength\leftmarginvi {1em}
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{\theenumi.}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{$\m@th\bullet$}
\newcommand\labelitemii{\normalfont\bfseries --}
\newcommand\labelitemiii{$\m@th\ast$}
\newcommand\labelitemiv{$\m@th\cdot$}
\newenvironment{description}
               {\list{}{\setlength\leftmargin  {1em}
                        \labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\newcommand*\descriptionlabel[1]{\hspace\labelsep
                                \normalfont\bfseries #1}
\newenvironment{abstract}{\footnotesize\par\noindent\ignorespaces{\itshape Abstract}\quad}
{\vspace{1pc}\par}
\newcommand{\keywords}[1]{{\footnotesize\noindent\textit{Keywords:}
  \parbox[t]{120mm}{\raggedright\footnotesize#1}}\vspace{.5pc}}
\newcommand{\ams}[2]{{\footnotesize\noindent AMS 2010 \textit{Mathematics subject
classification:} Primary #1\\[-2pt]\phantom{\footnotesize\noindent AMS 2010
\textit{Mathematics subject classification:}} Secondary #2\vspace{1pc}}}
\newcommand{\amsprimary}[1]{{\footnotesize\noindent AMS 2010 \textit{Mathematics subject
classification:} Primary #1\vspace{1pc}}}
\newenvironment{acknowledgements}{%
  \par\medskip\noindent\small\ignorespaces}{\par}
\newenvironment{verse}
               {\let\\\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}
\setlength\tabcolsep{6\p@}
\setlength\arraycolsep{5\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}
\renewcommand\theequation{\thesection.\@arabic\c@equation}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{3\p@ \@plus 3\p@ \@minus 1\p@}
\setlength\belowcaptionskip{3\p@ \@plus 3\p@ \@minus 1\p@}
\setlength\textfloatsep{8\p@ \@plus 6\p@ \@minus 4\p@}
\def\flcap@type{}
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip\begingroup\small
  \sbox\@tempboxa{{\normalfont\rmfamily #1.} \flcap@type #2}%
  \ifdim \wd\@tempboxa > 2\hsize
    \unhbox\@tempboxa\par
  \else
    \global \@minipagefalse
    \centering \unhbox\@tempboxa\par
  \fi
  \endgroup\vskip\belowcaptionskip}
\long\def\longcaption#1{%
  \sbox\@tempboxa{{\small (#1)}}%
  \ifdim \wd\@tempboxa > \hsize
    {\small (#1)}\par
  \else
    \centerline{\unhbox\@tempboxa}\par
  \fi
  \vskip\belowcaptionskip}
\newcounter{figure}
\renewcommand\thefigure{\@arabic\c@figure}
\def\fps@figure{tp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename~\thefigure}
\newenvironment{figure}
               {\@float{figure}}
               {\end@float}
\newcounter{table}
\renewcommand\thetable{\@arabic\c@table}
\def\fps@table{tp}
\def\ftype@table{1}
\def\ext@table{lot}
\def\fnum@table{\tablename~\thetable}
\newenvironment{table}
               {\def\flcap@type{\itshape}%
                \@float{table}\small}
               {\end@float}
\def\plaintable{\@float{table}}
\let\endplaintable\end@float
\let\endtable\end@float
\def\tabular{\def\@halignto{to \textwidth}%
\tabskip=\tabcolsep plus 1fil\@tabular}
\def\@tabarray{\@ifnextchar[{\@tarray}{\@ttarray}}
\def\@tarray[#1]#2{\t@barray[#1]{@{\tabskip=2\tabcolsep}% plus 3pt}
                                #2}}
\def\@ttarray#1{\t@barray[c]{#1}}
\def\t@barray[#1]#2{\setbox\@arstrutbox=\hbox{\vrule
     height\arraystretch \ht\strutbox
     depth\arraystretch \dp\strutbox
     width\z@}\@mkpream{#2}\edef\@preamble{\halign \noexpand\@halignto
\bgroup \tabskip\z@ \@arstrut \@preamble \tabskip=\tabcolsep plus 1fil \cr}%
\let\@startpbox\@@startpbox \let\@endpbox\@@endpbox
  \if #1t\vtop \else \if#1b\vbox \else \vcenter \fi\fi
  \bgroup \let\par\relax
  \let\@sharp##\let\protect\relax \lineskip\z@\baselineskip\z@\@preamble}
\renewcommand{\hline}{\noalign{\ifnum0=`}\fi \vskip 4pt
 \hrule \@height \arrayrulewidth \vskip 4pt
 \futurelet \@tempa\@xhline}
\renewcommand{\arraystretch}{1.05}

\newtheoremstyle{emsthmsl}
  {6\p@\@plus4\p@\@minus2\p@}{6\p@\@plus4\p@\@minus2\p@} %was \@plus2 twice
  {\slshape}{\parindent}{\bfseries}{.}{.5em}{}
\newtheoremstyle{emsthmup}
  {6\p@\@plus2\p@\@minus2\p@}{6\p@\@plus2\p@\@minus2\p@}
  {\upshape}{\parindent}{\mathversion{bold}\bfseries}{.}{.5em}{}

\theoremstyle{emsthmsl}
\newtheorem{theorem}{Theorem}[section]
\newtheorem{lemma}[theorem]{Lemma}
\newtheorem{corollary}[theorem]{Corollary}
\newtheorem{proposition}[theorem]{Proposition}
\newtheorem{conjecture}[theorem]{Conjecture}
\newtheorem{claim}[theorem]{Claim}
\newtheorem*{Theorem}{Theorem}
\newtheorem*{Corollary}{Corollary}
\newtheorem*{Proposition}{Proposition}

\theoremstyle{emsthmup}
\newtheorem{definition}[theorem]{Definition}
\newtheorem{example}[theorem]{Example}
\newtheorem{remark}[theorem]{Remark}

\newenvironment{Remark}
 {\medbreak\textbf{Remark.}\hskip.5em\ignorespaces}
 {\medbreak\par}
\renewenvironment{proof}[1][\proofname]{\par
  \normalfont
  \topsep6\p@\@plus6\p@ \trivlist
  \itemindent\parindent
  \item{\textbf{#1}\@addpunct{\textbf{.}}}\hskip.5em\ignorespaces
}{\qed\endtrivlist}
\renewcommand{\qedsymbol}{$\square$}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
\newcommand*\l@section[2]{%
  \ifnum \c@tocdepth >\z@
    \renewcommand\numberline[1]{\hb@xt@\@tempdima{##1.\hfil}}
    \addpenalty\@secpenalty
    \addvspace{\z@ \@plus\p@}%
    \setlength\@tempdima{1.5em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
    \endgroup
  \fi}
\newcommand*\l@appendix[2]{%
  \ifnum \c@tocdepth >\z@
    \renewcommand\numberline[1]{\hb@xt@\@tempdima{##1.\hfil}}
    \addpenalty\@secpenalty
    \addvspace{\z@ \@plus\p@}%
    \setlength\@tempdima{6em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode
      \advance\leftskip\@tempdima
      \advance\leftskip -4.5em
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
    \endgroup
  \fi}
\newcommand*\l@subsection[2]{%
  \ifnum \c@tocdepth > \@ne
    \renewcommand\numberline[1]{\hb@xt@2em{%
        \textup{(}{\itshape##1\/}\textup{)}\hfil}}
    \setlength\@tempdima{1.5em}%
    \begingroup
      \parindent \@tempdima \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
    \endgroup
  \fi
}
\newcommand*{\l@subsubsection}{\@dottedtocline{3}{3.8em}{3.2em}}
\newdimen\bibindent
\setlength\bibindent{1.5em}
\newenvironment{thebibliography}{%
  \section*{\refname}
  \small
  \setlength{\baselineskip}{10.333pt}
  \sloppy\clubpenalty6000\widowpenalty6000%
  \renewcommand\labelenumi{\theenumi\rlap{.}}
  \begin{enumerate}
  \settowidth\labelwidth{99}
  \setlength\itemsep{-1pt}
  \setlength\labelsep{2pc}
  \advance\labelsep - \labelwidth
} {\end{enumerate}}
\newcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}
\newcommand\subitem{\@idxitem \hspace*{20\p@}}
\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
\@addtoreset{footnote}{page}
\renewcommand\footnoterule{}
\renewcommand{\thefootnote}{\fnsymbol{footnote}}
\renewcommand{\@fnsymbol}[1]{\ifcase#1\or $^\ast$\or \dag\or \ddag\or \P\or \|\or
 \dag\dag\or \ddag\ddag\or \P\P\or \|\| \else\@ctrerr\fi\relax}
\renewcommand{\@makefnmark}{\@thefnmark}
\newcommand\@makefntext[1]{%
    \parindent 1em%
    \noindent
    \hb@xt@1.8em{\hss\@makefnmark\hskip.5em}#1}
\newcommand\contentsname{Contents}
\newcommand\refname{References}
\newcommand\indexname{Index}
\newcommand\figurename{Figure}
\newcommand\tablename{Table}
\newcommand\appendixname{Appendix}
\setlength\columnsep{10\p@}
\setlength\columnseprule{0\p@}
\renewcommand{\theequation}{\thesection.\arabic{equation}}
 \ps@headings
 \pagenumbering{arabic}
 \frenchspacing
 \clubpenalty=4000
 \widowpenalty=10000
 \lefthyphenmin=3
\newcommand{\rd}{\mathrm{d}}            % Roman d for differential
\newcommand{\re}{\mathrm{e}}            % Roman e for exponential
\newcommand{\ri}{\mathrm{i}}            % Roman i for imaginary number
\DeclareMathOperator{\sgn}{sgn}           % Sign
\DeclareMathOperator{\Real}{Re}  % Real part
\DeclareMathOperator{\Imag}{Im}  % Imaginary part
\newcommand{\const}{\mathrm{const.}}    % Abbreviation for `constant'
\newcommand{\ack}{\medbreak\textbf{Acknowledgements.}\quad}
\endinput
%%
%% End of file `emspublic.cls'.
